Package org.kapott.hbci.passport

## Class AbstractDDVPassport

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractDDVPassport

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIPassport`, `HBCIPassportChipcard`, `HBCIPassportInternal`

Direct Known Subclasses:
  `HBCIPassportDDV`

    public abstract class AbstractDDVPassport
    extends AbstractHBCIPassport
    implements HBCIPassportChipcard

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`protected` `AbstractDDVPassport​(java.lang.Object init)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Comm` `getCommInstance()`
`java.lang.String` `getCryptAlg()`
`java.lang.String` `getCryptFunction()`
`java.lang.String` `getCryptKeyType()`
`java.lang.String` `getCryptMode()`
`java.lang.String` `getHashAlg()`
`java.lang.String` `getPassportTypeName()`
`java.lang.String` `getProfileMethod()`
`java.lang.String` `getProfileVersion()`
`java.lang.String` `getSigAlg()`
`java.lang.String` `getSigFunction()`
`java.lang.String` `getSigMode()`
`java.lang.String` `getSysStatus()`
`boolean` `hasInstEncKey()`
`boolean` `hasInstSigKey()`
`boolean` `hasMyEncKey()`
`boolean` `hasMySigKey()`
`boolean` `needInstKeys()`
`boolean` `needUserKeys()`
`boolean` `needUserSig()`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, generateNewUserKeys, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onDialogEvent, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`changePassphrase, clearBPD, clearInstEncKey, clearInstSigKey, clearUPD, close, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getClientData, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstEncKey, getInstName, getInstSigKey, getMaxGVperMsg, getMaxMsgSizeKB, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getPort, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getUPD, getUPDVersion, getUserId, isSupported, onlyBPDGVs, saveChanges, setBLZ, setClientData, setCountry, setCustomerId, setFilterType, setHost, setPort, setUserId, syncSigId, syncSysId`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassportChipcard

`getFileName, saveBankData, setFileName`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassportInternal

`decrypt, encrypt, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, hash, resetPassphrase, setInstEncKey, setInstSigKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, sign, verify`

### Constructor Detail

#### AbstractDDVPassport

    protected AbstractDDVPassport​(java.lang.Object init)

### Method Detail

#### getPassportTypeName

    public java.lang.String getPassportTypeName()

Specified by:
  `getPassportTypeName` in interface `HBCIPassportInternal`

#### getCommInstance

    public Comm getCommInstance()

Specified by:
  `getCommInstance` in class `AbstractHBCIPassport`

#### getProfileMethod

    public java.lang.String getProfileMethod()

Specified by:
  `getProfileMethod` in interface `HBCIPassportInternal`

#### getProfileVersion

    public java.lang.String getProfileVersion()

Specified by:
  `getProfileVersion` in interface `HBCIPassportInternal`

#### getSysStatus

    public java.lang.String getSysStatus()

Specified by:
  `getSysStatus` in interface `HBCIPassportInternal`

#### needInstKeys

    public boolean needInstKeys()

Specified by:
  `needInstKeys` in interface `HBCIPassport`

#### needUserKeys

    public boolean needUserKeys()

Specified by:
  `needUserKeys` in interface `HBCIPassport`

#### needUserSig

    public boolean needUserSig()

Specified by:
  `needUserSig` in interface `HBCIPassportInternal`

#### hasInstSigKey

    public boolean hasInstSigKey()

Specified by:
  `hasInstSigKey` in interface `HBCIPassport`

#### hasInstEncKey

    public boolean hasInstEncKey()

Specified by:
  `hasInstEncKey` in interface `HBCIPassport`

#### hasMySigKey

    public boolean hasMySigKey()

Specified by:
  `hasMySigKey` in interface `HBCIPassport`

#### hasMyEncKey

    public boolean hasMyEncKey()

Specified by:
  `hasMyEncKey` in interface `HBCIPassport`

#### getCryptKeyType

    public java.lang.String getCryptKeyType()

Specified by:
  `getCryptKeyType` in interface `HBCIPassportInternal`

#### getSigFunction

    public java.lang.String getSigFunction()

Specified by:
  `getSigFunction` in interface `HBCIPassportInternal`

#### getSigAlg

    public java.lang.String getSigAlg()

Specified by:
  `getSigAlg` in interface `HBCIPassportInternal`

#### getSigMode

    public java.lang.String getSigMode()

Specified by:
  `getSigMode` in interface `HBCIPassportInternal`

#### getCryptFunction

    public java.lang.String getCryptFunction()

Specified by:
  `getCryptFunction` in interface `HBCIPassportInternal`

#### getCryptAlg

    public java.lang.String getCryptAlg()

Specified by:
  `getCryptAlg` in interface `HBCIPassportInternal`

#### getCryptMode

    public java.lang.String getCryptMode()

Specified by:
  `getCryptMode` in interface `HBCIPassportInternal`

#### getHashAlg

    public java.lang.String getHashAlg()

Specified by:
  `getHashAlg` in interface `HBCIPassportInternal`